Xenforo Requirements Test Script

xF1 Add-on Xenforo Requirements Test Script 1.0

No permission to download
Compatible XF Versions
1.2, 1.3, 1.4, 1.5
Installation
  1. Upload "xenforo_requirements.php" to the root of your XenForo installation.
  2. Access the requirements test page by entering the following url:
    your.website/xenforo_requirements.php
XenForo System Requirements
  • PHP: 5.2.11+
  • MySQL: 5.0+
  • PHP extensions: MySQLi, GD (with JPEG support), PCRE, SPL, SimpleXML, DOM, JSON, iconv, ctype
  • PHP safe_mode off
  • chmod 0777 for data and internal_data directories.
Check software version in Linux terminal
Please, do not include the prefix: "$".
PHP: $ php -v
MySQL: $ mysql -V

Install dependencies for me
Please note that this only applies if you have terminal access.

Check your linux distributioner and use the appropriate command(s) and do not include the prefix "$". You may exclude sudo if ran under root user (not recommended):
Debian/Ubuntu: $ sudo apt-get install php5 php5-mysql php5-gd
CentOS: $ yum install php5 php5-mysql php5-gd

Soft package dependencies: php5-imagick
Related Resources
Author
ENXF NET
Downloads
4
Views
168
Last update
Rating
0.00 star(s) 0 ratings

More resources from ENXF NET

Top